<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN"
         "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
<node>
  <interface name="org.kde.nepomuk.QueryService">
    <method name="query">
      <arg name="query" type="s" direction="in" />
      <arg name="requestProperties" type="as" direction="in" />
      <arg name="queryobject" type="o" direction="out" />
    </method>
    <method name="query">
      <arg name="query" type="(isa(ii(isss)sss)a{iai}ia{sb})" direction="in" />
      <arg name="queryobject" type="o" direction="out" />
      <annotation name="com.trolltech.QtDBus.QtTypeName.In0" value="Nepomuk::Search::Query" />
    </method>
  </interface>
</node>
